Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.jbi
Class OdeSUManager

    java.lang.Object
      org.apache.ode.jbi.OdeSUManager

All Implemented Interfaces:
  javax.jbi.component.ServiceUnitManager

    public class OdeSUManager

extends java.lang.Object
implements javax.jbi.component.ServiceUnitManager

Constructor Summary
`OdeSUManager(org.apache.ode.jbi.OdeContext odeContext)`

Method Summary
`java.lang.String` | `deploy(java.lang.String serviceUnitID, java.lang.String serviceUnitRootPath)`
`void` | `init(java.lang.String serviceUnitID, java.lang.String serviceUnitRootPath)`
`void` | `shutDown(java.lang.String serviceUnitID)`
`void` | `start(java.lang.String serviceUnitID)`
`void` | `stop(java.lang.String serviceUnitID)` Stop the deployment.
`java.lang.String` | `undeploy(java.lang.String serviceUnitID, java.lang.String serviceUnitRootPath)` Cancel a Service Deployment.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OdeSUManager

    public OdeSUManager(org.apache.ode.jbi.OdeContext odeContext)

Method Detail

### deploy

    public java.lang.String deploy(java.lang.String serviceUnitID,
                                   java.lang.String serviceUnitRootPath)
                            throws javax.jbi.management.DeploymentException

  Specified by:
    `deploy` in interface `javax.jbi.component.ServiceUnitManager`
  Throws:
    `javax.jbi.management.DeploymentException`

### init

    public void init(java.lang.String serviceUnitID,
                     java.lang.String serviceUnitRootPath)
              throws javax.jbi.management.DeploymentException

  Specified by:
    `init` in interface `javax.jbi.component.ServiceUnitManager`
  Throws:
    `javax.jbi.management.DeploymentException`

### shutDown

    public void shutDown(java.lang.String serviceUnitID)
                  throws javax.jbi.management.DeploymentException

  Specified by:
    `shutDown` in interface `javax.jbi.component.ServiceUnitManager`
  Throws:
    `javax.jbi.management.DeploymentException`

### start

    public void start(java.lang.String serviceUnitID)
               throws javax.jbi.management.DeploymentException

  Specified by:
    `start` in interface `javax.jbi.component.ServiceUnitManager`
  Throws:
    `javax.jbi.management.DeploymentException`

### stop

    public void stop(java.lang.String serviceUnitID)
              throws javax.jbi.management.DeploymentException

  Stop the deployment. This causes the component to cease generating service requests related to the deployment. This returns the deployment to a state equivalent to after init() was called

  Specified by:
    `stop` in interface `javax.jbi.component.ServiceUnitManager`
  Parameters:
    `serviceUnitID` - service unit ID
  Throws:
    `javax.jbi.management.DeploymentException` - deployment exception

### undeploy

    public java.lang.String undeploy(java.lang.String serviceUnitID,
                                     java.lang.String serviceUnitRootPath)
                              throws javax.jbi.management.DeploymentException

  Cancel a Service Deployment. If the deployment is in use (has dependencies), then will operation may fail.

  Specified by:
    `undeploy` in interface `javax.jbi.component.ServiceUnitManager`
  Parameters:
    `serviceUnitID` - - ID of the Service Unit being undeployed
    `serviceUnitRootPath` - - Full path to the Service Unit root.
  Returns:
    NOT YET DOCUMENTED
  Throws:
    `javax.jbi.management.DeploymentException` - deployment exception

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD